Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.params
Class KDFParameters

    java.lang.Object
      org.bouncycastle.crypto.params.KDFParameters

All Implemented Interfaces:
  DerivationParameters

    public class KDFParameters

extends java.lang.Object
implements DerivationParameters

parameters for Key derivation functions for IEEE P1363a

Constructor Summary
`KDFParameters(byte[] shared, byte[] iv)`

Method Summary
`byte[]` `getIV()`
`byte[]` `getSharedSecret()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KDFParameters

    public KDFParameters(byte[] shared,
                         byte[] iv)

Method Detail

### getSharedSecret

    public byte[] getSharedSecret()

### getIV

    public byte[] getIV()

Bouncy Castle Cryptography Library 1.45